import request from '@/utils/request'

// 登录方法
export function login(username, password, code, uuid) {
  const data = {
    username,
    password,
    code,
    uuid
  }
  return request({
    url: '/merchant/merchantAuth/login',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}

// 注册方法
export function register(data) {
  return request({
    url: '/merchant/user/register',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/merchant/merchantSysuser/getInfo',
    method: 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    url: '/merchant/merchantAuth/logout',
    method: 'post'
  })
}
 
// 获取验证码 （密码登录）
export function getCodeImg() {
  return request({
    url: '/system/captcha/generate',
    headers: {
      isToken: false
    },
    method: 'get',
    timeout: 20000
  })
}

// 获取验证码
export function getCodeNum(data) {
  return request({
    url: '/merchant/merchantAuth/sendSmsCode',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function loginCode(mobile, smsToken,code) {
  const data = {
    mobile,
    smsToken,
    code
  }
  return request({
    url: '/merchant/merchantAuth/loginByCode',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}
